%    GESSA (Graphically Extended Stochastic Simulation Algorithm)
%   
%    Copyright (C) 2010 Michael Ochs, Elana Fertig, Ludmila Danilova
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.

classdef Reaction < handle
    % represents a reaction from SBML format  
    %  Author:  Ludmila Danilova
    %  Date:    18 November 2008
    
    % History
    %
    % 05Jan09  LD  Add Parameter property
    
    properties
        Name;      % name of reaction 
        Type;      % type of reaction
        Reactants; % list of proteins participating as reactants
        Products;  % list of proteins participating as products    
        Parameter; % rate of reaction
    end
    
    methods
    end
    
end

