%    GESSA (Graphically Extended Stochastic Simulation Algorithm)
%   
%    Copyright (C) 2010 Michael Ochs, Elana Fertig, Ludmila Danilova
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.

D = 3e-4;   %4e-4;
M = 0.5;    %0.7;
t = 1:10:20000;
r = 1;


y = zeros(length(t),1);
k = 1;
for i = t
    y(k,1) = diff_integral( M, D, 0, i, r , 3 );
    k=k+1;
end
figure;
plot(y);
hold on;

r=3;
y = zeros(length(t),1);
k = 1;
for i = t
    y(k,1) = diff_integral( M, D, 0, i, r, 3 );
    k=k+1;
end
plot(y, 'r');
